import {WorldData} from "./world.js"
import {Player} from "../player.js"

export function flag(x:number, y:number, data:WorldData, player:Player):WorldData {
  let tile = data[x][y]

  if (!tile.mask || tile.flag === 0) return data
  const color:number = +player.color
  console.log(player)

  switch (tile.flag) {
    case (0):
        tile.flag = color;
      break;
    case (color):
        tile.flag = color + 16;
      break;
    default:
        tile.flag = 0;
  }
    console.log(tile.flag)
  data[x][y] = tile
  return data;
}
